Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 267)
@@ -824,7 +824,7 @@
 
                 List<PersonInChargeMaster> personList = new List<PersonInChargeMaster>();
                 // SQL作成
-                string strSQL = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.OutSource);
+                string strSQL = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)PersonInChargeMaster.EmployeeClassFlgDef.OutSource);
                 // 担当者マスタ取得
                 if (!personDB.SelectAction(strSQL, ref personList)) return;
 
@@ -957,7 +957,7 @@
                     PersonInChargeMaster personRec = new PersonInChargeMaster();
                     // SQL作成
                     strSQL = personDB.CreatePrimarykeyString(SubContractorCode);
-                    strSQL += string.Format(" AND EmployeeClassFlg = {0} And DeleteFlg = 0", (int)CommonDefine.EmployeeClassFlg.OutSource);
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0} And DeleteFlg = 0", (int)PersonInChargeMaster.EmployeeClassFlgDef.OutSource);
                     // 担当者マスタ取得
                     if (!personDB.SelectAction(strSQL, ref personRec)) return false;
                     DataRec.CompanyCode = personRec.PersonCode;
@@ -1094,7 +1094,7 @@
                 {
                     DataList.Add(new KeyValuePair<int, string>(-1, ""));
 
-                    foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                    foreach (KeyValuePair<int, string> SetValue in SubContractorMaster.KindList)
                     {
                         DataList.Add(new KeyValuePair<int, string>(SetValue.Key, SetValue.Value));
                     }
@@ -1102,7 +1102,7 @@
                 // 通常業者、手間業者いずれかの場合     Add BIT 2017/02/23
                 else
                 {
-                    foreach (KeyValuePair<int, string> SetValue in CommonDefine.s_SubContractorKind)
+                    foreach (KeyValuePair<int, string> SetValue in SubContractorMaster.KindList)
                     {
                         // 指定された業者手間区分のみ追加
                         if (SetValue.Key == m_SelectLabourKind)
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmTyingConstrDiag.cs	(revision 267)
@@ -255,7 +255,7 @@
                 strSQL += strInWher;
 
                 strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG != {0}", iCode);
-                strSQL += string.Format(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND (B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
 
                 switch (m_OperationProcess)
                 {
@@ -268,11 +268,11 @@
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
                         strSQL += " AND (EXISTS (SELECT * FROM CONSTRUCTIONBUDGET EXDB WHERE EXDB.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE)";
                         
-                        strSQL += string.Format(" OR ((A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" OR ((A.TYINGFLG != {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                         strSQL += string.Format(" AND {0} <= A.CONSTRUCTIONSTATUSFLG", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("仮 受 注")).Key);
                         strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工開始")).Key);
 
-                        strSQL += string.Format(" OR (A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                        strSQL += string.Format(" OR (A.TYINGFLG = {0}", (int)ConstructionBaseInfo.TyingFlgDef.Tying);
                         strSQL += string.Format(" AND A.CONSTRUCTIONSTATUSFLG < {0})))", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key);
                         break;
                     case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:
